﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DiscountCodeListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.DiscountCodeListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:DiscountCodeGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Code" PropertyName="Code" Width="33"/>
                    <List:DateGridColumn Header="Expiry Date" PropertyName="ExpiryDate" EmptyValue="Unlimited" Width="18"/>
                    <List:GridColumn Header="Discount Type" PropertyName="DiscountType.Name" Width="23"/>
                    <List:PercentableGridColumn Header="Price" PropertyName="PercentableAmount" Width="18"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:DiscountCodeGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
