<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SiteMapExport.ascx.cs" Inherits="Core.Web.Admin.Controls.SiteMapExport" %>
<UI:ActionResultView runat="server" ID="CustomActionResult" />
<ul class="SiteMapSourcesList">
  <div class="EditorTitle">
	  <h3>
		  Sitemap Files
	  </h3>
  </div>
  <asp:Repeater runat="server" ID="SiteMaps">
    <ItemTemplate>
      <li>
        <span class="SiteMapPartTitle"><%#GetPageTypeName((int)Eval("PageTypeID"))%></span>&nbsp;
        <%#GetLinks((int)Eval("PageTypeID"), Container.ItemIndex)%>
        <%#GetFileList((int)Eval("PageTypeID"))%>
      </li>
    </ItemTemplate>  
  </asp:Repeater>
  <span class="SiteMapPartTitle">Index file</span>&nbsp;
  <%if (ExistIndexFile()) {%>
    (<a id="<%=UpdateLinkPrefix%>" href="#" onclick="<%=UpdateIndexReference%>"><%=UpdateTitle%></a> | 
    <a id="<%=DeleteLinkPrefix%>" href="#" onclick="<%=DeleteIndexReference%>"><%=DeleteTitle%></a>):
    <ul class="SitemapFileList">
      <li><a href="<%=IndexUrl%>" target="_blank"><%=IndexTitle%></a></li>
    </ul>
  <%} else {%>
    (<a id="<%=UpdateLinkPrefix%>" href="#" onclick="<%=UpdateIndexReference%>"><%=CreateTitle%></a>)  
  <%} %>
</ul>