﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CountryListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.CountryPages.CountryListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/CountryListing.ascx" TagName="CountryListing"
    TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CountryListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                    <tr>
                        <td>
                            <uc:CountryListing ID="CountryListing" runat="server"></uc:CountryListing>
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
