﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomerListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.CustomerPages.CustomerListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/CustomerListing.ascx" TagName="CustomerListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Listing/CustomerListingWithoutLogin.ascx" TagName="CustomerListingWithoutLogin" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CustomerListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>            
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:CustomerListing ID="CustomerListing" runat="server"></uc:CustomerListing>
                    <uc:CustomerListingWithoutLogin ID="CustomerListingWithoutLogin" runat="server"></uc:CustomerListingWithoutLogin>
                  </td>
                </tr>
              </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
