﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="GiftVoucherEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.GiftVoucherPages.GiftVoucherEditorPage" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Editor/GiftVoucherEditor.ascx" TagName="GiftVoucherEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductCategoriesEditor.ascx" TagName="ProductCategories" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="GiftVoucherEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header"><%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:GiftVoucherTabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tab:GiftVoucherTabItem runat="server" ID="DetailsTab" Active="true" ActiveForNewEntity="true">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:GiftVoucherEditor ID="GiftVoucherEditor" runat="server" />
                            </td>
                          </tr>
                        </tbody> 
                      </table> 
                    </InnerContent>
                  </Tab:GiftVoucherTabItem>
                  <Tab:GiftVoucherTabItem runat="server" ID="RelatedCategoriesTab" Active="true" ActiveForNewEntity="false">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:ProductCategories ID="RelatedCategories" runat="server" OnePerPage="true" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:GiftVoucherTabItem>                  
                </Items>
              </Tab:GiftVoucherTabContainer>              
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>      
    </ContentTemplate>    
  </Ajax:UpdatePanel>
</asp:Content>

