﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChronoPayPayment.aspx.cs" Inherits="Core.Web.Payment.ChronoPayPayment" %>

<%@ Import namespace="Core.DBO.Static"%>
<%@ Import namespace="Core.Web.Objects.Utility"%>
<%@ Import namespace="iFramework.Integration.Payments"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 
<html>
<head>
    <title>Chrono Pay Payment</title>
</head>
<body onload="document.paymentForm.submit();">
	<form action="<%=GlobalSettingsCollection.Instance.ChronoPayPaymentUrlValue%>" method="post" id="paymentForm" name="paymentForm">
		<input type="hidden" name="product_id" value="<%=GlobalSettingsCollection.Instance.ChronoPayProductIdValue%>" />
		<input type="hidden" name="product_name" value="<%=GlobalSettingsCollection.Instance.ChronoPayProductNameValue%>" />
		<input type="hidden" name="product_price" value="<%=FormatProvider.FormatMoney(Currency.Convert(Order.GrandTotal, chronoPayCurrency))%>" />
		<input type="hidden" name="f_name" value="<%=Order.Customer.FirstName%>" /> 
		<input type="hidden" name="s_name" value="<%=Order.Customer.LastName%>" />		
		<input type="hidden" name="street" value="<%=Order.Customer.Address%>" />		
		<input type="hidden" name="city" value="<%=Order.Customer.Town.Name%>" />		
		<input type="hidden" name="country" value="<%=Order.Customer.Town.County.Country.Name%>" />		
		<input type="hidden" name="zip" value="<%=Order.Customer.Postcode%>" />		
		<input type="hidden" name="email" value="<%=Order.Email%>" />		
		<input type="hidden" name="phone" value="<%=Order.Customer.Phone%>" />		
		<input type="hidden" name="cs1" value="<%=Order.OrderID%>">
		<input type="hidden" name="cs2" value="<%=GetOrderType()%>">
		<input type="hidden" name="cb_url" value="<%=UrlBuilder.GetSuccessPaymentResultUrl(PaymentTypes.ChronoPay)%>" />
		<input type="hidden" name="cb_type" value="P"> 
		<input type="hidden" name="decline_url" value="<%=UrlBuilder.Home%>"> 		
	</form>
</body>
</html>