﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryAddressTextEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.DeliveryAddressTextEditor" %>
<tr class="<%=GetRegionCSSClass(TownField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="TownFieldView" InputToDisplayID="TownField" />
  </td>
  <td class="control">
    <UI:TownTextBox ID="TownField" runat="server" Template-PropertyName="Town"
      ExtendedTemplate-HighlightOnFocus="true" Template-IsForSave="true" />
  </td>
</tr>
<tr class="<%=GetRegionCSSClass(CountyField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="CountyFieldView" InputToDisplayID="CountyField" />
  </td>
  <td class="control">
    <UI:CountyTextBox ID="CountyField" runat="server" Template-DisplayName="County" ExtendedTemplate-HighlightOnFocus="true"
      Template-IsForSave="true" Template-PropertyName="Town.County"/>
  </td>
</tr>
<tr class="<%=GetRegionCSSClass(CountryField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="CountryFieldView" InputToDisplayID="CountryField" />
  </td>
  <td class="control">
    <UI:CountryTextBox ID="CountryField" runat="server" Template-DisplayName="Country"
      ExtendedTemplate-HighlightOnFocus="true" Template-IsForSave="true" Template-PropertyName="Town.County.Country"/>
  </td>
</tr>
