﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="HelpArticleEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.HelpArticleEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%= UI.Current.HelpArticleDetails%></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                      <tr class="<%=GetRegionCSSClass(TitleField)%>">
                                        <td class="label">
                                          <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                                        </td>
                                        <td class="control">
                                          <UI:TextBox ID="TitleField" runat="server" Template-PropertyName="Title" 
                                          ExtendedTemplate-HighlightOnFocus="true"/>
                                        </td>
                                      </tr>
                                      <tr class="<%=GetRegionCSSClass(ShortDescription)%>">
                                        <td class="label">
                                          <UI:FieldView runat="server" ID="ShortDescriptionViewFieldView" 
                                          InputToDisplayID="ShortDescription" />
                                        </td>
                                        <td class="control">
                                          <UI:TextBox id="ShortDescription" runat="server" 
                                          Template-PropertyName="ShortDescription"
                                          ExtendedTemplate-HighlightOnFocus="true"/>
                                        </td>
                                      </tr>
                                      <tr class="<%=GetRegionCSSClass(HelpArticleType)%>">
                                        <td class="label">
                                          <UI:FieldView runat="server" ID="HelpArticleTypeFieldView" 
                                          InputToDisplayID="HelpArticleType" />
                                        </td>
                                        <td class="control">
                                          <UI:DropDownList id="HelpArticleType" runat="server" 
                                          Template-PropertyName="HelpArticleType" 
                                          ExtendedTemplate-HighlightOnFocus="true"/>
                                        </td>
                                      </tr>
                                      <tr id="<%=ContentText.ClientID + FCKWrapperID%>" class="<%=GetRegionCSSClass(ContentText)%>">
                                        <td class="label">
                                          <UI:FieldView runat="server" ID="ContentFieldView" InputToDisplayID="ContentText" />
                                        </td>
                                        <td class="control">
                                          <UI:TextArea id="ContentText" runat="server" Template-PropertyName="Content"/>
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
            </td>
        </tr>
    </tbody>
</table>
