﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionOfferEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.SubscriptionOfferEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.SubscriptionOfferDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Title)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Title" Template-PropertyName="Product.Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Description)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="Description" />
                      </td>
                      <td class="control">
                        <UI:TextArea runat="server" ID="Description" Template-PropertyName="Product.Description"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Length)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="LengthFieldView" InputToDisplayID="Length" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Length" Template-PropertyName="Length" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Price)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="Price" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Price" Template-PropertyName="Product.Price" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
