﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddressListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.AddressListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Grid:AddressGridView runat="server" ID="Grid" OnDataRetriving="DataRetrievingHandler">
        <Columns>
          <List:GridColumn Header="Address line 1" PropertyName="AddressLine1" Width="13" />
          <List:GridColumn Header="Postcode" PropertyName="Postcode" Width="13" />
          <List:GridColumn Header="Town" PropertyName="TownName" Width="13" />
          <List:GridColumn Header="Country" PropertyName="CountryName" Width="13" />
        </Columns>
        <ActionColumns>
          <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-dis png cursor-hand" />
          <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
        </ActionColumns>
      </Grid:AddressGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
        <label class="line-label">
          <%=PageSize.FieldView%></label>
        <List:PageSizeChanger runat="server" ID="PageSize"/>
      </span>
      <List:Paginator runat="server" ID="GridPaginator"/>
    </td>
  </tr>
</table>
