﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MediaFileListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.MediaFileListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                    <Media:MediaFilesCategoryFilter runat="server" id="CategoryFilter" TitleKey="Category" TextField="Title" />
                    <Media:MediaFilesTypeFilter runat="server" id="MediaFilesTypesFilter" TitleKey="FileType" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:MediaFileGridView runat="server" ID="Grid" >
                <Columns>
                  <List:GridColumn Header="Title" PropertyName="Title" Width="37"/>
                  <List:GridColumn Header="File" PropertyName="FileName" Width="36"/>
                  <Media:MediaFileImageColumn Header="Image" HeaderKey="Image" Width="1" CssClass="media-file-image" InactiveCssClass = "media-file-image"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
                    InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
                    InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:MediaFileGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
