﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MediaFileEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.MediaFilePages.MediaFileEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/MediaFileEditor.ascx" TagName="MediaFileEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/MediaFiles/MediaFileCategoriesEditor.ascx" TagName="MediaFileCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="MediaFileEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:MediaFileTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:MediaFileTabItem runat="server" ID="DetailsTab" Title="Details" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:MediaFileEditor ID="MediaFileEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:MediaFileTabItem>
                                    <Tab:MediaFileTabItem runat="server" ID="MediaCategoriesTab" Title="Media Categories" 
                                    Active="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:MediaFileCategories ID="MediaFileCategories" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:MediaFileTabItem>
                                </Items>
                            </Tab:MediaFileTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
