﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import namespace="Core.Web.Objects.Utility"%>
<%@ Import namespace="iFramework.BLL.Security"%>
<%@ Import namespace="Core.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductReviews.ascx.cs" Inherits="Core.Web.Controls.Products.ProductReviews" %>

<div class="AreaPanelTop" id="reviewTopPanel">
	<div class="ToolPanel">
		<ul class="Groups Reviews">
			<li class="GroupA">
				<ul>
					<li class="E">
						<div class="Paginator">

						</div>
					</li>
				</ul>
			</li>
      <li class="GroupB addReviewArea" style="display:none">
        <ul>
          <li class="E">
            <p class="Note"><a href="javascript:void(0);" class="addReview"><%=UI.Current.AddReview%></a></p>
          </li>
        </ul>
      </li>
			<li class="GroupB pleaseLoginArea" style="display:none">
				<ul>
					<li class="E">
						<p class="Note"><%=String.Format(UI.Current.LoginToAddReviewsTemplate, "login-link")%></p>
					</li>
				</ul>
			</li>      
		</ul>
	</div>
</div>
<div class="MessagePool" id="reviewListing" style="min-height:100px;">  
</div>
<div id="emptyMessage" style="display:none">
  <p><%=UI.Current.ProductHasNoReviews%></p>
</div>
<img id="listingPreloader" src="<%=Global.ApplicationPath%>Files/images/ajax-preloader.gif" alt="loading ..." style="display:none;" />
<div class="AreaPanelBottom">
	<div class="ToolPanel">
		<ul class="Groups">
			<li class="GroupA">
				<ul>
					<li class="E">
						<div class="Paginator">

						</div>
					</li>
				</ul>
			</li>
			<li class="GroupB">
				<ul>
					<li class="E">
						<div class="Filter">
							<dl>
								<dt>
									<label><%=UI.Current.TotalReviews%></label>
								</dt>
								<dd><span class="Field SelectLine"></span></dd>
							</dl>
						</div>
					</li>
				</ul>
			</li>
		</ul>
	</div>
</div>

<script type="text/javascript">

  $(function() {
    listing = $('#reviewListing').listing({
      templateUrl: '<%=UrlBuilder.ReviewListingTemplateUrl%>', 
      serviceUrl:  '<%=UrlBuilder.ReviewServiceUrl%>',
      preloader: $('#listingPreloader')
    }, {productID: <%=CurrentProduct.ProductID%>});    
    $('div.Paginator').paginator(listing, {
      templateUrl : '<%=UrlBuilder.ReviewPaginatorTemplateUrl%>',
      visiblePagesRange : 2
    });
    listing.updateContent();
    $('div.AreaPanelBottom span.SelectLine').pageSize(listing, {textTemplate: '<%=UI.Current.ItemsPerPageTemplate%>'});
    listing.databind(function() {
      $('.reviewTotal').html(String.format('({0})', listing.getTotalCount()));
      
      var reviewTitle = (listing.getTotalCount() == 1) ? messages.review : messages.reviews;
      $('.reviewTitle').html(reviewTitle);
      
      if(listing.getTotalCount() > 0){
        $('.MessagePool').show();
        $('.AreaPanelBottom').show();
      }
      else{
        $('.MessagePool').hide();
        $('.AreaPanelBottom').hide();      
      }     
      new reviewEditor(listing, {
        serviceUrl : '<%=UrlBuilder.ReviewServiceUrl%>',
        templateUrl : '<%=UrlBuilder.ReviewEditorTemplateUrl%>',
        captchaServiceUrl : '<%=UrlBuilder.CaptchaServiceUrl%>',
        addLink : '#reviewTopPanel .addReview', 
        productId : <%=CurrentProduct.ProductID%>});
    });
    new addReviewControl('#reviewTopPanel .addReviewArea', '#reviewTopPanel .pleaseLoginArea',{
      serviceUrl : '<%=UrlBuilder.ReviewServiceUrl%>'
    });
  });

</script>