﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PayPalPayment.aspx.cs" Inherits="Core.Web.Payment.PayPalPayment" %>
<%@ Import namespace="Core.DBO.Static"%>
<%@ Import namespace="Core.Web.Objects.Utility"%>
<%@ Import namespace="iFramework.Integration.Payments"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 
<html>
<head>
    <title>Pay Pal Payment</title>
</head>
<body onload="document.PayPal.submit();">
	<form action="<%=GlobalSettingsCollection.Instance.PayPalPaymentUrlValue%>" method="post" id="PayPal" name="PayPal">
		<input type="hidden" name="cmd" value="_xclick" />
		<input type="hidden" name="business" value="<%=GlobalSettingsCollection.Instance.PayPalAccountValue%>" />
		<input type="hidden" name="invoice" value="<%=Order.TransactionID%>" />
		<input type="hidden" name="item_name" value="Core Demo Site Order" />
		<input type="hidden" name="item_number" value="<%=Order.OrderID%>" />
		<input type="hidden" name="amount" value="<%=FormatMoney(Currency.Convert(Order.GrandTotal))%>" />
		<input type="hidden" name="first_name" value="<%=Order.Customer.FirstName%>" /> 
		<input type="hidden" name="last_name" value="<%=Order.Customer.LastName%>" />
		<input type="hidden" name="address1" value="<%=Order.Customer.Address1%>" /> 
		<input type="hidden" name="address2" value="<%=Order.Customer.Address2%>" /> 
		<input type="hidden" name="no_shipping" value="1" />
		<input type="hidden" name="city" value="<%=Order.Customer.Town.Name%>" /> 
		<input type="hidden" name="state" value="<%=Order.Customer.Town.County.Name%>" /> 
		<input type="hidden" name="country" value="<%=Order.Customer.Town.County.Country.Name%>" /> 
		<input type="hidden" name="currency_code" value="<%=Order.Currency.CurrencyCode%>" />
		<input type="hidden" name="zip" value="<%=Order.Customer.Postcode%>" />
		<input type="hidden" name="return" value="<%=UrlBuilder.GetSuccessPaymentResultUrl(PaymentTypes.PayPal)%>" />
		<input type="hidden" name="cancel_return" value="<%=UrlBuilder.GetCancelPaymentResultUrl(PaymentTypes.PayPal)%>" />
		<input type="hidden" name="night_phone_b" value="<%=Order.Customer.Phone%>" />
		<input type="hidden" name="email" value="<%=Order.Email%>" />
		<input type="hidden" name="cbt" value="<%=ReturnText%>" />
		<input type="hidden" name="rm" value="2" />
	</form>
</body>
</html>