﻿/* 

    Author: Roman Zaharenkov
    Date:   22.06.2009

*/

-- Standard Alter Table SQL

ALTER TABLE dbo.OrderDiscounts DROP CONSTRAINT FK_OrderDiscounts_DiscountCodes

ALTER TABLE dbo.OrderDiscounts DROP CONSTRAINT FK_OrderDiscounts_PaymentOrders

-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.OrderDiscounts ADD CONSTRAINT FK_OrderDiscounts_DiscountCodes
FOREIGN KEY (DiscountCodeID)
REFERENCES dbo.DiscountCodes (DiscountCodeID)
ON DELETE CASCADE

ALTER TABLE dbo.OrderDiscounts ADD CONSTRAINT FK_OrderDiscounts_PaymentOrders
FOREIGN KEY (PaymentOrderID)
REFERENCES dbo.PaymentOrders (PaymentOrderID)
ON DELETE CASCADE